Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 629344 (CVE-2017-13757) - <sys-devel/binutils-2.29.1 : denial of service (heap-based buffer over-read and application crash) via a crafted ELF file (CVE-2017-13757)
Summary: <sys-devel/binutils-2.29.1 : denial of service (heap-based buffer over-read a...
Status: RESOLVED FIXED
Alias: CVE-2017-13757
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-30 02:11 UTC by D'juan McDonald (domhnall)
Modified: 2018-01-07 23:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2017-08-30 02:11:02 UTC
From ${URL}:

The Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, does not validate the PLT section size, which allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted ELF file, related to elf_i386_get_synthetic_symtab in elf32-i386.c and elf_x86_64_get_synthetic_symtab in elf64-x86-64.c.

CVE Details:https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-13757
Comment 2 Andreas K. Hüttel gentoo-dev 2017-10-04 10:09:39 UTC
Fixed in 2.29.1
Comment 3 D'juan McDonald (domhnall) 2017-12-03 23:31:47 UTC

all supported arches: alpha, amd64, hppa, ppc, ppc64, x86 stabilized in bug 627166.

@security, please enter the bug number 629344 in the CVE tracker, thank you.


Gentoo Security Padawan
(jmbailey/mbailey_j)
Comment 4 Andreas K. Hüttel gentoo-dev 2017-12-27 22:57:34 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 5 D'juan McDonald (domhnall) 2018-01-05 06:45:28 UTC
Added to existing GLSA request.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:11:28 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).